#include <bits/stdc++.h>

using namespace std;

struct frilenser{
    long long int a;
    double p;
};

frilenser frl[200010];
long int n;
double maxZarada=0,zarada=0;
int cmp(frilenser f1, frilenser f2){
    return f1.p<f2.p;
}

int main()
{
    scanf("%ld",&n);
    for(long int i=0;i<n;i++){
        scanf("%lld %lf",&frl[i].a,&frl[i].p);
    }

    sort(frl,frl+n,cmp);
    for(long int i=1;i<n;i++){
        frl[i].a+=frl[i-1].a;
    }
    maxZarada=frl[n-1].a*frl[0].p;
    for(long int i=1;i<n;i++){
        zarada=(frl[n-1].a-frl[i-1].a)*frl[i].p;
        if(zarada>maxZarada){
            maxZarada=zarada;
        }
    }
    maxZarada/=100;
    printf("%.4lf",maxZarada);
    return 0;
}